MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027928Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-10-04 13:292018-09-09 13:05
Reportermpv 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0027928: BOP common produces empty compound
DescriptionResults shape of common between two attached solids is empty compound, however arguments have a good common part.
Steps To Reproducerestore b1.brep b1
restore b2.brep b2
bcommon r b1 b2
explode r Ve -> produces nothing
TagsNo tags attached.
Test case numberbugs modalg_7 bug27928
Attached Files? file icon b1.brep (9,485 bytes) 2016-10-04 13:29
? file icon b2.brep (10,403 bytes) 2016-10-04 13:30

- Relationships
parent of 0030082verifiedbugmaster Intersection algorithm returns curve with big tolerance value 
related to 0030090verifiedbugmaster Modeling Algorithms - BRepLib::FindValidRange does not find valid range for the edge 
related to 0030092verifiedbugmaster Modeling Algorithms - Invalid result of Section operation 

-  Notes
(0069783)
apv (tester)
2017-08-23 13:39

Problem described in issue is reproduced on current state of OCCT.
(0077694)
git (administrator)
2018-07-17 09:31

Branch CR27928 has been created by emv.

SHA-1: 32544d268c22d4af14ebf27c1a7f7bc2bdf7fb47


Detailed log of new commits:

Author: emv
Date: Tue Jul 17 09:26:27 2018 +0300

    0027928: BOP common produces empty compound
    
    Boolean Operations - put all possible vertices on the section curve to increase the probability of creating section edges from it.
    Test case for the issue.
(0078038)
git (administrator)
2018-07-26 14:37

Branch CR27928 has been updated forcibly by emv.

SHA-1: 6afa691bf0c08e981b5b80ac3a345da59e56b440
(0078071)
git (administrator)
2018-07-27 10:42

Branch CR27928 has been updated by emv.

SHA-1: 3d8909e1ceba984d7bb56c4fcf58d757656a1646


Detailed log of new commits:

Author: emv
Date: Fri Jul 27 10:41:24 2018 +0300

    Init pave blocks for the untouched edges in case any of its vertices have been put on section curve.

(0078175)
git (administrator)
2018-07-30 11:36

Branch CR27928 has been updated forcibly by emv.

SHA-1: 43f2eadbbe0f5dd3037b60535c67af54332d92f3
(0078754)
git (administrator)
2018-08-24 12:16

Branch CR27928 has been updated forcibly by nbv.

SHA-1: d660ea968f8ff54286d401aa3a1792d72565264b
(0078755)
git (administrator)
2018-08-24 12:22

Branch CR27928 has been updated forcibly by emv.

SHA-1: 43f2eadbbe0f5dd3037b60535c67af54332d92f3
(0078823)
git (administrator)
2018-08-29 09:16

Branch CR27928 has been updated forcibly by emv.

SHA-1: fb053731f72bf1a5d319c80d3527ed20b2e8216b
(0078875)
emv (developer)
2018-08-31 10:51
edited on: 2018-08-31 10:54

Dear Nikolay, could you please review the git branch CR27928?
Test results - http://jenkins-test-12.nnov.opencascade.com/view/CR27928-master-emv/view/COMPARE/ [^]
Please note, that the branch is based on the CR30082_1 branch, so the difference in images are expected.

(0078881)
git (administrator)
2018-08-31 11:28

Branch CR27928 has been updated by emv.

SHA-1: 9bd0f00cea7825d92306822f3ad34476fa0daba9


Detailed log of new commits:

Author: emv
Date: Fri Aug 31 11:25:45 2018 +0300

    # Corrections according to remarks.

(0078882)
nbv (developer)
2018-08-31 11:38

Reviewed.
(0078898)
bugmaster (administrator)
2018-08-31 17:16

Combination -
OCCT branch : CR27928 SHA - 9bd0f00cea7825d92306822f3ad34476fa0daba9
Products branch : master SHA - fdd59e29ebc3a27575d87f779d718af159f5b37b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17426.089999999833 / 17462.71999999975 [-0.21%]
Products
Total CPU difference: 7461.270000000071 / 7452.000000000051 [+0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 17413.28402289842 / 17417.917252598505 [-0.03%]
Products
Total CPU difference: 8331.124204299986 / 8330.983803399997 [+0.00%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079049)
git (administrator)
2018-09-09 13:05

Branch CR27928 has been deleted by inv.

SHA-1: 9bd0f00cea7825d92306822f3ad34476fa0daba9

- Related Changesets
occt: master 56062e13
Timestamp: 2018-08-29 06:08:13
Author: emv
Committer: bugmaster
Details ] Diff ]
0027928: BOP common produces empty compound

BOPTools_AlgoTools::ComputeState - increase the chance of correct classification of the face relatively solid by classifying the point located inside that face instead of the point taken near the edge of that face.
Test case for the issue.
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.hxx Diff ] File ]
mod - tests/bugs/modalg_7/bug27928 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-04 13:29 mpv New Issue
2016-10-04 13:29 mpv Assigned To => msv
2016-10-04 13:29 mpv File Added: b1.brep
2016-10-04 13:30 mpv File Added: b2.brep
2016-10-28 12:16 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-08-23 13:39 apv Test case number => bugs modalg_7 bug27928
2017-08-23 13:39 apv Note Added: 0069783
2017-12-05 16:59 msv Target Version 7.3.0 => 7.4.0*
2018-07-17 09:31 git Note Added: 0077694
2018-07-19 13:48 emv Assigned To msv => emv
2018-07-19 13:48 emv Status new => assigned
2018-07-26 14:37 git Note Added: 0078038
2018-07-27 10:42 git Note Added: 0078071
2018-07-30 11:36 git Note Added: 0078175
2018-08-20 08:21 emv Priority normal => high
2018-08-23 15:35 nbv Relationship added parent of 0030082
2018-08-24 12:16 git Note Added: 0078754
2018-08-24 12:22 git Note Added: 0078755
2018-08-28 11:35 emv Relationship added related to 0030090
2018-08-29 09:16 git Note Added: 0078823
2018-08-29 11:07 emv Relationship added related to 0030092
2018-08-31 10:51 emv Note Added: 0078875
2018-08-31 10:51 emv Assigned To emv => nbv
2018-08-31 10:51 emv Status assigned => resolved
2018-08-31 10:54 emv Note Edited: 0078875 View Revisions
2018-08-31 11:28 git Note Added: 0078881
2018-08-31 11:38 nbv Note Added: 0078882
2018-08-31 11:38 nbv Assigned To nbv => bugmaster
2018-08-31 11:38 nbv Status resolved => reviewed
2018-08-31 17:16 bugmaster Note Added: 0078898
2018-08-31 17:16 bugmaster Status reviewed => tested
2018-09-09 11:52 bugmaster Changeset attached => occt master 56062e13
2018-09-09 11:52 bugmaster Status tested => verified
2018-09-09 11:52 bugmaster Resolution open => fixed
2018-09-09 13:05 git Note Added: 0079049


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker